#include "partition.h"
#include "map"

std::vector<int> solve(std::vector<int> A) {

    std::vector<int> rez(A.size());

    for (int i=1; i<A.size(); i++) {
        rez[i] = i - 1;
    }
    rez[0] = A.size()-1;

    return rez;
}